﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class FilteringButton : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GeneratingTable();
    }
    private DataTable GeneratingTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column1");
        table.Columns.Add("Column2");
        table.Columns.Add("Column3");
        table.Columns.Add("Column4");

        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add("Col1Row" + i, "Col2Row" + i, "Col3Row" + i, "Col4Row" + i);
        }

        return table;

    }

    protected void RadGrid1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if ((e.Item.ItemType == GridItemType.FilteringItem))
        {
            var clearFilterButton = new RadButton
            {
                ButtonType = RadButtonType.StandardButton,
                Height = 22,
                Width = 22
            };

            clearFilterButton.Text = "Clear fitler";
            clearFilterButton.ToolTip = "Clear current filter(s)";
            clearFilterButton.Click += clearFilterButton_Click;

            var expandCollapseColumn = (GridTableCell)e.Item.Controls[0];
            expandCollapseColumn.Controls.Add(clearFilterButton);
        }
    }

    void clearFilterButton_Click(object sender, EventArgs e)
    {
        RadGrid1.MasterTableView.FilterExpression = string.Empty;
        RadGrid1.Rebind();
    }
    protected void RadGrid1_DetailTableDataBind(object sender, GridDetailTableDataBindEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column5");
        table.Columns.Add("Column6");
        table.Columns.Add("Column7");

        for (int i = 0; i < 20; i++)
        {
            table.Rows.Add("Col5Row" + i, "Col6Row" + i, "Col7Row" + i);
        }

        e.DetailTableView.DataSource = table;
    }
}